Not able to install truffle-contract

0 votes

Not able to install truffle-contract

I am trying to install truffle-contract using the following command:

npm install truffle-contract

But I am getting the following error:

npm ERR! code 1 npm ERR! Command failed: /usr/bin/git clone -q https://github.com/debris/bignumber.js.git /home/ubuntu/.npm/_cacache/tmp/git-clone-777489e7 npm ERR! /home/ubuntu/.npm/_cacache/tmp/git-clone-777489e7/.git: Permission denied npm ERR!
npm ERR! A complete log of this run can be found in: npm ERR! /home/ubuntu/.npm/_logs/2017-12-26T05_11_27_119Z-debug.log
Jan 23 in Blockchain by Piyush
425 views
Did you solve this problem ?

Thank you!
The below mentioned solution worked for me. Are you getting the same error?

1 answer to this question.

0 votes

There’s a permission error. Run this command as sudo. It should work

sudo npm install truffle-contract
answered Jan 23 by Omkar
• 68,160 points
Tried it. Didn’t work with sudo

Okay. Try this:

$ sudo apt-get update
$ update the nvm
$ update npm
$ update node
$ sudo npm install truffle-contract

Related Questions In Blockchain

–1 vote
1 answer

Not able to install truffle

I know this is very frustrating, I ...READ MORE

answered Jan 17 in Blockchain by Omkar
• 68,160 points
508 views
0 votes
1 answer

Not able to install truffle

This error occurs when there are permission ...READ MORE

answered Jan 29 in Blockchain by Omkar
• 68,160 points
240 views
0 votes
1 answer
0 votes
1 answer

Truffle tests not running after truffle init

This was a bug. They've fixed it. ...READ MORE

answered Sep 11, 2018 in Blockchain by Christine
• 15,810 points
182 views
0 votes
1 answer
0 votes
1 answer

Solidity geth: Error encountered during contract execution [Bad instruction]

recipes is a dynamic storage array. You need ...READ MORE

answered Oct 15, 2018 in Blockchain by Omkar
• 68,160 points
114 views
0 votes
1 answer
0 votes
1 answer

Not able to install truffle using npm install -g truffle

You need root access to install truffle, ...READ MORE

answered Nov 29, 2018 in Blockchain by Omkar
• 68,160 points
635 views
0 votes
1 answer

Not able to migrate contract in Truffle: Error: No network specified. Cannot determine current network

Make these entries in truffle.js file: module.exports = { ...READ MORE

answered Nov 29, 2018 in Blockchain by Omkar
• 68,160 points
144 views